Subject: RE: [Mip6] DSMIP6 solution and integrated bootstrap scenario

From: "Chowdhury, Kuntal" <[email-masked]>
Date: Wed, 28 Feb 2007 14:17:29 -0500

Hi Raj,

Please see inline...

> -----Original Message-----
> From: Basavaraj Patil [mailto:[email-masked]]
> Sent: Wednesday, February 28, 2007 12:17 PM
> To: Chowdhury, Kuntal; [email-masked]
> Subject: Re: [Mip6] DSMIP6 solution and integrated bootstrap scenario
> 
> 
> So are you saying that the DNS approach is invalid?
[KC>] No. The point is why DSMIP6 should say DNS is preferred way to do
HA bootstrapping? There are two distinct scenarios for mip6
bootstrapping as per RFC 4640. DNS is preferred way for HA bootstrapping
for only one of them i.e. split scenario. DHCP is preferred for the
integrated scenario. The DSMIP6 I-D should just point to the mip6
bootstrapping solutions for split and integrated scenarios. At this time
it only refers to the split I-D. That's the issue.

> Or the fact that we have two different mechanisms for HA discovery?
> 
[KC>] To be precise there are three ways... DHCP, Anycast, DNS.

> We need to converge on a single approach.
> 
[KC>] based on what? The DSMIP6 I-D clearly tries to ignore the
integrated bootstrapping solution.

> -Raj
> 
> 
> On 2/28/07 10:35 AM, "ext Chowdhury, Kuntal"
> <[email-masked]> wrote:
> 
> > Hi all,
> >
> > I see that in the DSMIP6 I-D
(draft-ietf-mip6-nemo-v4traversal-03.txt)
> > we have the following sentence in section 2.1 Home Agent Address
> > Discover
> >
> > "
> > The preferred solution for discovering the home agent's IPv4 address
is
> > through the Domain Name System (DNS).
> > "
> >
> > The preferred solution for discovering Home Agent Address in the
> > integrated bootstrap scenario is DHCP not DNS. We need to address
this
> > issue.
> >
> > -Kuntal
> >
> > _______________________________________________
> > Mip6 mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/mip6

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: "Chowdhury, Kuntal" <[email-masked]>
Date: Wed, 28 Feb 2007 16:23:18 -0500

Vijay,

Please see inline...

> From: Vijay Devarapalli [mailto:[email-masked]]
> Sent: Wednesday, February 28, 2007 1:45 PM
> To: [email-masked]
> Cc: Chowdhury, Kuntal; [email-masked]
> [email-masked] wrote:
> > Okay.. I see your point now.
> > I agree that the DS-MIP6 I-D could either refer or mention the
methods
> > by which the MN can discover the HA.
> 
> We can mention in the DS-MIPv6 spec, that if DS-MIPv6
> is being used in the integrated scenario, DHCPv6 may
> also be used for HA bootstrapping. Thats not a big
> deal.
> 
[KC>] IMHO, section 2.1 should just point to the two bootstrapping
solutions (i.e. split and integrated) so that deployments utilizing
either of the bootstrapping solution can use DSMIP6. 

> But there is an issue. IPv4-access networks will not
> have DHCPv6 running on them. So the solution described
> in draft-ietf-mip6-bootstrapping-integrated-02.txt may
> not apply, since the draft assumes DCHPv6.
> 
[KC>] If the ASP is only IPv4 capable, the MN won't get any response to
the DHCPv6 information request. So, the MN will use the fallback
mechanism as specified in
draft-ietf-mip6-bootstrapping-integrated-02.txt (which is DNS). For HA
discovery, some type of fallback mechanism should be defined regardless;
since there is no guarantee that the DNS servers in the MSP or in the
ASP are configured to return HA information. Instead of restating the
success and fallback cases for mip6 bootstrapping, the DSMIP6 document
should refer to the two mip6 bootstrap solution documents.

> Vijay
> >> From: ext Chowdhury, Kuntal [mailto:[email-masked]]
> >> Sent: Wednesday, February 28, 2007 1:17 PM
> >> To: Patil Basavaraj (Nokia-NET/Dallas); [email-masked]
> >> Subject: RE: [Mip6] DSMIP6 solution and integrated bootstrap
scenario
> >> "This email message and any attachments are confidential
> >> information of Starent Networks, Corp. The information
> >> transmitted may not be used to create or change any
> >> contractual obligations of Starent Networks, Corp.  Any
> >> review, retransmission, dissemination or other use of, or
> >> taking of any action in reliance upon this e-mail and its
> >> attachments by persons or entities other than the intended
> >> recipient is prohibited. If you are not the intended
> >> recipient, please notify the sender immediately -- by replying
> >> to this message or by sending an email to
> >> [email-masked] -- and destroy all copies of
> >> this message and any attachments without reading or disclosing
> >> their contents. Thank you."
> >>
> >

---

From: Vijay Devarapalli <[email-masked]>
Date: Wed, 28 Feb 2007 16:16:20 -0800

> either of the bootstrapping solution can use DSMIP6. 

No. We need to show at least one mechanism for MN to
obtain the IPv4 address of the HA. Otherwise we are
left only with manual configuration of HA's IPv4
address on the mobile node. We have three paragraphs
in section 2.1 that describes how one can add the
'A' record for the HA in the DNS entry in addition to
the 'AAAA' record and how the mobile node may obtain
the HA's IPv4 address.

Kuntal, I don't have a problem listing DHCP also as
one of the solutions for DS-MIPv6 HA discovery,  but
we need to extend DHCPv4 (only DHCPv4 is available
on an IPv4 access network) to return the IPv6 and
IPv4 address of the DS-MIPv6 home agent. Please work
on these extensions before demanding that we add
references to other solutions.

Vijay

---

From: "Chowdhury, Kuntal" <[email-masked]>
Date: Wed, 28 Feb 2007 23:43:03 -0500

Vijay,

Let's not debate over specific cases like the IPv4 only access network
case that you cite. There is no guarantee that the DNS method for Home
Agent discovery will produce the information the MN is looking for all
the time. What will the MN do in a situation when it fails to get the HA
information from DNS? It will fallback on some other scheme, no?

The MN needs to have fallback options regardless of which method is used
i.e. DNS or DHCP or something else. There is no need in the DSMIP6 I-D
to get into "preference" for mip6 bootstrap solution. Depending on the
use case, access network capabilities (e.g. v4 or v6 or dual stack),
deployment scenario, roaming agreement etc. either split or the
integrated modes of mip6 bootstrapping will be used. The current draft
is unduly biased towards DNS option and I am raising the point to fix
that.

I want the DSMIP6 I-D to be agnostic to the bootstrapping solution. 

-Kuntal

> Sent: Wednesday, February 28, 2007 6:16 PM
> To: Chowdhury, Kuntal
> Cc: [email-masked]; [email-masked]